package de.ivu.elect.core.exchange.wahlbeteiligung.csv;

import org.jsefa.csv.annotation.CsvDataType;
import org.jsefa.csv.annotation.CsvField;

import de.ivu.elect.exchange.BaseDTO;
import de.ivu.jsefa.CsvHeader;

@CsvDataType
public class WahlbeteiligungVerlaufDTO extends BaseDTO {

  @CsvHeader("Wahlname")
  @CsvField(pos = 1, required = true)
  private String wahlname;

  @CsvHeader("Typ")
  @CsvField(pos = 2, required = true)
  private String typ;

  @CsvHeader("Zeitpunkt (yyyy-MM-dd HH-mm-ss)")
  @CsvField(pos = 3, required = true)
  private String zeitpunkt;

  @CsvHeader("Gebietsart")
  @CsvField(pos = 4, required = true)
  private String gebietArt;

  @CsvHeader("Gebietsnummer")
  @CsvField(pos = 5, required = true)
  private String gebietNummer;

  @CsvHeader("Wahlbeteiligung")
  @CsvField(pos = 6, required = false)
  private String wahlbeteiligung;

  public String getWahlname() {
    return wahlname;
  }

  public void setWahlname(String wahlname) {
    this.wahlname = wahlname;
  }

  public String getTyp() {
    return typ;
  }

  public void setTyp(String typ) {
    this.typ = typ;
  }

  public String getZeitpunkt() {
    return zeitpunkt;
  }

  public void setZeitpunkt(String zeitpunkt) {
    this.zeitpunkt = zeitpunkt;
  }

  public String getGebietArt() {
    return gebietArt;
  }

  public void setGebietArt(String gebietArt) {
    this.gebietArt = gebietArt;
  }

  public String getGebietNummer() {
    return gebietNummer;
  }

  public void setGebietNummer(String gebietNummer) {
    this.gebietNummer = gebietNummer;
  }

  public String getWahlbeteiligung() {
    return wahlbeteiligung;
  }

  public void setWahlbeteiligung(String wahlbeteiligung) {
    this.wahlbeteiligung = wahlbeteiligung;
  }
}

